# ATM_Stream.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ATM_Addr.h"`
`#include "ace/ATM_Params.h"`
`#include "ace/SOCK_Stream.h"`
`#include "ace/ATM_Stream.inl"`

Include dependency graph for ATM_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_ATM_Stream
| Defines the member functions for ACE_ATM_Stream abstraction. More...

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_SOCK_Stream | ATM_Stream

## Detailed Description

Id
  ATM_Stream.h,v 4.14 2005/10/28 16:14:51 ossama Exp

Author:
  Joe Hoffert

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_SOCK_Stream ATM_Stream